import request from "@/utils/request";

// 通过生产过程id物料生产信息 :包含上方基本信息和报故数量需要选择的序列号
export function breakReportInfoById(processId: string) {
  return request({
    url: `/api/v1/process/escalationFault/getWorkDetail/${processId}`,
    method: "get",
  });
}

// 不合格品分布情况及工序(通过序列号获取关联工序)
export function operationListByIds(ids: string[]) {
  return request({
    url: `/api/v1/process/escalationFault/operation/list`,
    method: "post",
    data: { seqNoList: ids },
  });
}

// 新增一体机报故
export function addBreakReport(data: object) {
  return request({
    url: `/api/v1/process/escalationFault/add`,
    method: "post",
    data: data,
  });
}
